@use "../abstracts/mixins" as mix;
@use "../abstracts/variables" as var;
@use "sass:math";

.visitorHomePage {
  .header {
    height: var.$gutter-base * 2.5;
    width: 100%;
    padding: math.div(var.$gutter-base, 2.5);
    background-color: var.$background-color-base;
    box-shadow: 0px 2px 2px rgba(0, 0, 0, 0.25);
    display: flex;
    align-items: center;
    justify-content: center;
    position: relative;

    .main {
      width: 70%;
      display: flex;
      justify-content: space-between;
      align-items: center;

      h3 {
        color: var.$text-color-primary;
        margin: 0;
        font-family: "Reenie Beanie";
        font-style: normal;
        font-weight: var.$font-weight-medium;
        font-size: var.$font-size-big;
        line-height: var.$gutter-base;
      }

      a {
        text-decoration: none;

        i {
          padding-right: 20px;
          color: var.$text-color-primary;
          display: block;
          font-size: 25px;
        }
      }
    }
  }

  .banner {
    background-color: #f5e3cb;
    background-image: url("./images/Bricks.png");
    display: flex;
    align-items: center;
    justify-content: space-between;
    padding: 35px 20px;

    .title {
      flex-basis: 55%;

      h3 {
        color: var.$text-color-primary;
        font-size: 30px;
        font-weight: 900;
      }
    }

    .button a {
      color: white;
      background-color: var.$text-color-primary;
      text-decoration: none;
      font-weight: 900;
      font-size: 14px;
      padding: 8px 16px;
      border-radius: var.$border-radius;
    }
  }

  .slider {
    background-color: #edd5bb;
    margin: auto;
    overflow: hidden;
    position: relative;
    padding: var.$gutter-base;

    .slide-track {
      animation: scroll 20s linear infinite;
      display: flex;
      width: calc(250px * 3);
      justify-content: space-around;
      margin-bottom: 30px;
    }

    @keyframes scroll {
      0% {
        transform: translateX(0);
        margin-right: 100%;
      }
      100% {
        margin-left: 100%;
      }
    }
  }

  .slide-track2 {
    animation: imgscroll 20s linear infinite;
    display: flex;
    width: calc(250px * 3);
    justify-content: space-around;
    // margin-bottom: 30px;
  }

  @keyframes imgscroll {
    0% {
      transform: translateX(0);
      margin-right: 0;
    }
    100% {
      margin-left: -100%;
    }
  }

  .carousel {
    background-color: #fcebd5;
    position: relative;
    height: 250px;
    
    .carouselButton {
      color: #a16a5e;
      font-size: var.$gutter-base;
      position: absolute;
      z-index: 2;
      background: none;
      border: none;
      top: 50%;
      transform: translateY(-50%);
    }
    
    .prev {
      left: 5px;
    }
    
    .next {
      right: 5px;
    }
    
    ul {
      padding: 0;
      margin: 0;
      
      .slide {
        position: absolute;
        list-style-type: none;
        opacity: 0;
        inset: 0;
        padding: 50px 20px;
        transition: 200ms opacity ease-in-out;
        
        .carouselItem {
          display: flex;
          align-items: center;
          
          .inner {
            flex-basis: 50%;
            padding: 0 20px;
            
            p {
              font-size: 11px;
            }
          }
          
          .inner1 {
            border-right: 2px solid #a16a5e;
            position: relative;
            
            .nz {
              padding: 12px;

              img {
                position: absolute;
                width: 35%;
                border-radius: 50%;
                border: 1px solid #a16a5e;
                left: 50%;
                bottom: 50%;
                transform: translate(-50%, -50%);
              }
              
              p {
                color: #f8f8f8;
                // margin-top: 24px;
                background-color: #e09686;
                padding: 30px 7px 7px;
                text-align: center;
              }
            }
          }
          
          .inner2 {
            .nzz {
              padding: 12px;
              
              p {
                text-align: center;
                color: #a16a5e;
              }
            }
          }
        }
      }

      .slide[data-active] {
        opacity: 1;
      }
    }
  }
}
